<template>
  <div class="UI-dynamic" :id="'UI-dynamic-'+areasName+componentVO.oid">
    <el-input
      placeholder="输入关键字进行过滤"
      v-model="filterText">
    </el-input>
    <el-tree
      class="filter-tree"
      show-checkbox
      :data="data"
      :props="defaultProps"
      :filter-node-method="filterNode"
      highlight-current
      node-key="id"
      ref="tree">
    </el-tree>
  </div>
</template>

<script>
export default {
  name: "dynamic-tree",
  props:{
    componentVO:{
      type:Object,
      default: {}
    },
    inDialog: {
      type: Boolean,
      default: false
    },
    areasName:{
      type:String,
      default:''
    },
    sourceData:{
      //菜单源数据或者弹窗时按钮所属区域的上一区域选中数据
      type:Object,
      default: {}
    },
    paramVOS:{
      type:Object,
      default: {}
    },
    isShow: {
      //所在区域是否已显示，针对tab和collapse
      type: Boolean,
      default: true
    },
  },
  watch: {
    filterText(val) {
      this.$refs.tree.filter(val);
    },
    isShow:{
      handler(newval) {
        if(newval) {
          console.log(this.$el.clientHeight)}
      }
    }
  },
  methods: {
    filterNode(value, data) {
      if (!value) return true;
      return data[this.defaultProps.label].indexOf(value) !== -1;
    },
    initData(){
      this.data=[
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "0C6A3624-4A90-45E1-BEB2-75384E542613",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-13 20:41:14.747",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "6053D009-934D-4528-A51D-69B63FC27BFF",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "工艺文档库",
            "islastr": "1",
            "lastmodifytime": "2021-12-13 20:41:14.747",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "9D1B7934-3502-4DAF-9A1A-BE1B019DE8BC",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "documentlib",
            "isfirstr": "1",
            "ts": "2021-12-13 20:41:14.747"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "0",
          "leaf": true,
          "oid": "0C6A3624-4A90-45E1-BEB2-75384E542613",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "工艺文档库[documentlib]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-13 22:16:32.272",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "6A03D6E4-7028-4D38-8584-0424FC6C7D7F",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "工艺知识库",
            "islastr": "1",
            "lastmodifytime": "2021-12-13 22:16:32.272",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "957C8F17-D0C3-424E-B520-C9533E969440",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "knowledgelib",
            "isfirstr": "1",
            "ts": "2021-12-13 22:16:32.272"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "1",
          "leaf": true,
          "oid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "工艺知识库[knowledgelib]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "8D2E9F26-06C9-454D-8F5E-D95FD9DEA867",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-13 22:16:58.87",
            "isfirstv": "1",
            "folderoid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
            "lastmodifier_name": "测试",
            "revisionoid": "D1A22FC3-039E-49D6-B391-465BE17B3D46",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "常用术语",
            "islastr": "1",
            "lastmodifytime": "2022-01-06 14:29:56.841",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "335A13B8-59F8-461D-A549-82543EF2B867",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "常用术语",
            "isfirstr": "1",
            "ts": "2022-01-06 14:29:56.841"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "2",
          "leaf": true,
          "oid": "8D2E9F26-06C9-454D-8F5E-D95FD9DEA867",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "常用术语[常用术语]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "1111222",
            "oid": "C8072146-781B-41F1-81AF-48C493492D9B",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-13 22:19:43.066",
            "isfirstv": "1",
            "folderoid": "0C6A3624-4A90-45E1-BEB2-75384E542613",
            "lastmodifier_name": "测试",
            "revisionoid": "E9B07546-E2B1-487F-AF5C-BA36E7D562D0",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "工艺说明书",
            "islastr": "1",
            "lastmodifytime": "2021-12-13 22:19:43.066",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "8466E055-685A-4E50-979F-8BE474FDEDBB",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "工艺说明书",
            "isfirstr": "1",
            "ts": "2021-12-13 22:19:43.066"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "3",
          "leaf": true,
          "oid": "C8072146-781B-41F1-81AF-48C493492D9B",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "工艺说明书[工艺说明书]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "222",
            "oid": "59F14C83-1345-4A7D-8225-0B09DE61400B",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-13 22:42:24.901",
            "isfirstv": "1",
            "folderoid": "0C6A3624-4A90-45E1-BEB2-75384E542613",
            "lastmodifier_name": "测试",
            "revisionoid": "AF87EA19-5651-4920-8D73-4015962C082C",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "技术总结",
            "islastr": "1",
            "lastmodifytime": "2021-12-13 22:42:24.901",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "95AFAAD8-B9B5-44A2-BAE2-12FAB2643193",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "技术总结",
            "isfirstr": "1",
            "ts": "2021-12-13 22:42:24.901"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "4",
          "leaf": true,
          "oid": "59F14C83-1345-4A7D-8225-0B09DE61400B",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "技术总结[技术总结]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "712FF8AC-48CC-45DB-A79C-7F783B4AD8B1",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-13 22:48:25.242",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "61F5E6E8-3062-4FD8-9B35-0885E6A7ED21",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "HJSJ1155",
            "islastr": "1",
            "lastmodifytime": "2021-12-13 22:48:25.242",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "CC3E9E86-FE2F-474F-94D3-DFB2ABF233DD",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "技术文件",
            "isfirstr": "1",
            "ts": "2021-12-13 22:48:25.242"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "5",
          "leaf": true,
          "oid": "712FF8AC-48CC-45DB-A79C-7F783B4AD8B1",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "HJSJ1155[技术文件]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "1ADD9030-2F3E-4363-84B9-31F08C5C12AB",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "5611E481-157B-4799-914F-5938A5BC1FA9",
            "creator": "1",
            "createtime": "2021-12-13 22:48:45.055",
            "isfirstv": "1",
            "folderoid": "712FF8AC-48CC-45DB-A79C-7F783B4AD8B1",
            "lastmodifier_name": "测试",
            "revisionoid": "F5862E44-372B-4C46-96F6-AEFFE1B63B6D",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "技术文件",
            "islastr": "1",
            "lastmodifytime": "2021-12-13 22:48:45.055",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "34A45F92-2DC3-481C-82F2-B2F916CEDE2C",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "技术文件",
            "isfirstr": "1",
            "ts": "2021-12-13 22:48:45.055"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "6",
          "leaf": true,
          "oid": "1ADD9030-2F3E-4363-84B9-31F08C5C12AB",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "技术文件[技术文件]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-09 13:53:26.939",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "69E38F00-01AE-4E2C-97DC-7C412C521959",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "资源库",
            "islastr": "1",
            "lastmodifytime": "2021-12-09 13:53:26.939",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "60AD4F1B-D2E6-4C68-BC16-0F4052737D92",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "resourcelib",
            "isfirstr": "1",
            "ts": "2021-12-09 13:53:26.939"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "7",
          "leaf": true,
          "oid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "资源库[resourcelib]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "42B3DADB-5B19-478F-AE8F-C808151A9247",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-09 13:53:50.744",
            "isfirstv": "1",
            "folderoid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
            "lastmodifier_name": "测试",
            "revisionoid": "CA316DAC-65D0-4D37-ACCE-CD61ABB9C267",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "工作单元",
            "islastr": "1",
            "lastmodifytime": "2021-12-09 13:53:50.744",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "8FFF9F4E-9567-4830-9C4B-D3E882DBFCE1",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "workunit",
            "isfirstr": "1",
            "ts": "2021-12-09 13:53:50.744"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "8",
          "leaf": true,
          "oid": "42B3DADB-5B19-478F-AE8F-C808151A9247",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "工作单元[workunit]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "411E568F-AE64-4C64-9BC2-8E6E566DE06B",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-30 14:06:43.618",
            "isfirstv": "1",
            "folderoid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
            "lastmodifier_name": "测试",
            "revisionoid": "459996CD-C952-47C8-A2CC-8E8A42179364",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "设备",
            "islastr": "1",
            "lastmodifytime": "2021-12-30 14:06:43.618",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "E7FA6D19-62BE-4ED4-9D37-4312F34C1B48",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "machine",
            "isfirstr": "1",
            "ts": "2021-12-30 14:06:43.618"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "9",
          "leaf": true,
          "oid": "411E568F-AE64-4C64-9BC2-8E6E566DE06B",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "设备[machine]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "3B582AE0-9A60-4E52-9806-F8729ED5A4F0",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-30 14:07:20.736",
            "isfirstv": "1",
            "folderoid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
            "lastmodifier_name": "测试",
            "revisionoid": "877DBFF6-A63A-435A-99FC-DF54540387BA",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "工装",
            "islastr": "1",
            "lastmodifytime": "2021-12-30 14:07:20.736",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "0E53FBDB-01DB-4B18-9A2D-30C30AC2E6BF",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "equipment",
            "isfirstr": "1",
            "ts": "2021-12-30 14:07:20.736"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "10",
          "leaf": true,
          "oid": "3B582AE0-9A60-4E52-9806-F8729ED5A4F0",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "工装[equipment]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "CCE97F36-05A0-4419-BA6C-E766C8FB08EF",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-02 13:36:19.627",
            "isfirstv": "1",
            "folderoid": "CCCC5958-5BAA-49E3-AB76-AF728157C19C",
            "lastmodifier_name": "测试",
            "revisionoid": "4584960B-1EF3-44AA-BDE4-37628DB340CF",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "辅材",
            "islastr": "1",
            "lastmodifytime": "2022-04-02 13:36:19.627",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "B3716837-ADCC-4B58-88DF-20D19E8B0C99",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "AssMaterial",
            "isfirstr": "1",
            "ts": "2022-04-02 13:36:19.627"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "11",
          "leaf": true,
          "oid": "CCE97F36-05A0-4419-BA6C-E766C8FB08EF",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "辅材[AssMaterial]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "7C886BC5-79F9-489D-9CB6-31522D877CEA",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-02 13:36:27.366",
            "isfirstv": "1",
            "folderoid": "CCCC5958-5BAA-49E3-AB76-AF728157C19C",
            "lastmodifier_name": "测试",
            "revisionoid": "FA544E83-29C9-4456-9ECD-3658BB5D675F",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "主材",
            "islastr": "1",
            "lastmodifytime": "2022-04-02 13:36:27.366",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "3333EA57-5F17-40DA-9790-E1FD59ED8EB1",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "material",
            "isfirstr": "1",
            "ts": "2022-04-02 13:36:27.366"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "12",
          "leaf": true,
          "oid": "7C886BC5-79F9-489D-9CB6-31522D877CEA",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "主材[material]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "A10C10B6-9C85-4B03-AE65-EFBE4D3433A0",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-02 13:45:44.686",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "C4122548-1612-47BE-B5A8-7C858DB2AA97",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "CAXA工艺库",
            "islastr": "1",
            "lastmodifytime": "2022-04-02 13:45:44.686",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "CFB4AD69-A78C-49F2-8BE8-32B2A8E62ADC",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "caxaprocesslib",
            "isfirstr": "1",
            "ts": "2022-04-02 13:45:44.686"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "13",
          "leaf": true,
          "oid": "A10C10B6-9C85-4B03-AE65-EFBE4D3433A0",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "CAXA工艺库[caxaprocesslib]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "A2872581-8E91-4BB2-A8B5-6D421655377D",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-06-23 11:01:31.408",
            "isfirstv": "1",
            "folderoid": "DAA0F5E3-9F02-4A92-8551-8C97C6EBEAA0",
            "lastmodifier_name": "测试",
            "revisionoid": "2598EB13-B27C-4B8B-9C8A-301EAA2D3BF1",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "2022",
            "islastr": "1",
            "lastmodifytime": "2022-06-23 11:01:31.408",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "2BDF5977-83A3-455B-A132-16694A6C5902",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "year",
            "isfirstr": "1",
            "ts": "2022-06-23 11:01:31.408"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "14",
          "leaf": true,
          "oid": "A2872581-8E91-4BB2-A8B5-6D421655377D",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "2022[year]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "61E0061F-FFCE-4A33-B373-1A4B334FBF76",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2021-12-30 17:09:44.651",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "A9BC94BD-525D-42EF-9AEE-CB028BF01A8B",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "卡片模板",
            "islastr": "1",
            "lastmodifytime": "2021-12-30 17:09:44.651",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "F9A89BE9-44E9-42AD-B682-46C7BE220024",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "cardtemplate",
            "isfirstr": "1",
            "ts": "2021-12-30 17:09:44.651"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "15",
          "leaf": true,
          "oid": "61E0061F-FFCE-4A33-B373-1A4B334FBF76",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "卡片模板[cardtemplate]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "BC88822E-6A5A-402F-BFFF-9B7749D9B786",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "favorite",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-03-08 10:33:31.143",
            "isfirstv": "1",
            "folderoid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
            "lastmodifier_name": "测试",
            "revisionoid": "F4D86664-7F3B-4F89-B2B7-3A0D048C4CA2",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "收藏夹",
            "islastr": "1",
            "lastmodifytime": "2022-03-08 10:33:31.143",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "BAFBAC43-E098-4E8A-8541-832AA1399A04",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "favorite",
            "isfirstr": "1",
            "ts": "2022-03-08 10:33:31.143"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "16",
          "leaf": true,
          "oid": "BC88822E-6A5A-402F-BFFF-9B7749D9B786",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "收藏夹[favorite]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "35E19F40-ADD7-4C80-8391-05ED0CB43C5E",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "favoriteimage",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-03-08 10:33:31.204",
            "isfirstv": "1",
            "folderoid": "BC88822E-6A5A-402F-BFFF-9B7749D9B786",
            "lastmodifier_name": "测试",
            "revisionoid": "10BBD523-4A84-4074-A76B-20E9DA38B1E6",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "图",
            "islastr": "1",
            "lastmodifytime": "2022-03-08 10:33:31.204",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "69D3C8CC-9105-4EDF-8840-62A13E8D7A0B",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "favorite",
            "isfirstr": "1",
            "ts": "2022-03-08 10:33:31.204"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "17",
          "leaf": true,
          "oid": "35E19F40-ADD7-4C80-8391-05ED0CB43C5E",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "图[favorite]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "E5A8F0AD-5B7B-4F95-80CE-9F9B7FFE0138",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-06-21 11:08:58.156",
            "isfirstv": "1",
            "folderoid": "A0162414-1D57-43CD-995E-D497638ABB37",
            "lastmodifier_name": "测试",
            "revisionoid": "B2940B6C-1806-47D8-9C72-B87508CD71D1",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "2022",
            "islastr": "1",
            "lastmodifytime": "2022-06-21 11:08:58.156",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "D77C7397-E9CF-49E0-B944-594C5BFAFA16",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "year",
            "isfirstr": "1",
            "ts": "2022-06-21 11:08:58.156"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "18",
          "leaf": true,
          "oid": "E5A8F0AD-5B7B-4F95-80CE-9F9B7FFE0138",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "2022[year]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "9A474856-C775-4819-9DDE-B54DCE496945",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-01-05 17:32:03.423",
            "isfirstv": "1",
            "folderoid": "87A6D912-FDCA-496B-AA4E-FBDE9858853B",
            "lastmodifier_name": "测试",
            "revisionoid": "9A49A0C6-8B63-45DB-8CD2-DD963C9C6DC4",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "工具",
            "islastr": "1",
            "lastmodifytime": "2022-01-05 17:32:03.423",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "F791C662-0D37-4EC1-A0EE-E783BCB293CA",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "tool",
            "isfirstr": "1",
            "ts": "2022-01-05 17:32:03.423"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "19",
          "leaf": true,
          "oid": "9A474856-C775-4819-9DDE-B54DCE496945",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "工具[tool]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "4B47C04E-229F-4C7F-A4B3-CC9214231EF5",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-01-06 12:06:29.828",
            "isfirstv": "1",
            "folderoid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
            "lastmodifier_name": "测试",
            "revisionoid": "F6AC2A03-504D-4C78-8F48-21B151F8C074",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "常用缩略语",
            "islastr": "1",
            "lastmodifytime": "2022-01-06 14:29:09.804",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "3E1202E9-17C7-4968-BE75-BB4C20414F9F",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "常用缩略语",
            "isfirstr": "1",
            "ts": "2022-01-06 14:29:09.804"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "20",
          "leaf": true,
          "oid": "4B47C04E-229F-4C7F-A4B3-CC9214231EF5",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "常用缩略语[常用缩略语]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "64DDC985-FD7D-44A0-A564-4CA52797218B",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-01-06 12:06:39.949",
            "isfirstv": "1",
            "folderoid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
            "lastmodifier_name": "测试",
            "revisionoid": "A66CC240-3BA6-4774-B10D-EB186A95CA07",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "常用工艺标准",
            "islastr": "1",
            "lastmodifytime": "2022-01-06 15:27:59.253",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "5E947EDA-1922-42F2-97D8-CA536A4043FE",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "常用工艺标准",
            "isfirstr": "1",
            "ts": "2022-01-06 15:27:59.253"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "21",
          "leaf": true,
          "oid": "64DDC985-FD7D-44A0-A564-4CA52797218B",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "常用工艺标准[常用工艺标准]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "44B91E7B-E8B5-4790-B4E5-2897C75B7E6E",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-01-06 14:29:39.124",
            "isfirstv": "1",
            "folderoid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
            "lastmodifier_name": "测试",
            "revisionoid": "04A16265-5504-4D7C-B947-6A12079E23F2",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "常用工序",
            "islastr": "1",
            "lastmodifytime": "2022-01-06 14:29:39.124",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "D6FAEABF-E842-43AE-B12F-9FC4CE8B863D",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "工序名称",
            "isfirstr": "1",
            "ts": "2022-01-06 14:29:39.124"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "22",
          "leaf": true,
          "oid": "44B91E7B-E8B5-4790-B4E5-2897C75B7E6E",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "常用工序[工序名称]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "08143E46-E7F3-4F6C-950C-989749FEBCE5",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-01-06 14:32:48.245",
            "isfirstv": "1",
            "folderoid": "CFA35842-29E6-45D0-99B2-C7F19561E2F1",
            "lastmodifier_name": "测试",
            "revisionoid": "661ADE9B-D453-403B-B858-937DF8401038",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "常用符号",
            "islastr": "1",
            "lastmodifytime": "2022-01-06 14:32:48.245",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "8E055006-B25A-48D8-9CE8-C7A3FE41EC83",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "常用符号",
            "isfirstr": "1",
            "ts": "2022-01-06 14:32:48.245"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "23",
          "leaf": true,
          "oid": "08143E46-E7F3-4F6C-950C-989749FEBCE5",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "常用符号[常用符号]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "8042DD6F-2CB9-41E7-AD9F-E5106B55DFEE",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-02-08 15:13:31.721",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "B777905C-97D4-4C74-9EF9-1CDD488C897B",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "部门分类",
            "islastr": "1",
            "lastmodifytime": "2022-02-08 15:13:31.721",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "E6202A1A-82C2-4D88-8B70-D05D0DF799C6",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "departmentlib",
            "isfirstr": "1",
            "ts": "2022-02-08 15:13:31.721"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "24",
          "leaf": true,
          "oid": "8042DD6F-2CB9-41E7-AD9F-E5106B55DFEE",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "部门分类[departmentlib]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "F2833B29-EF5D-4D20-9CFB-7E6B6CDCB673",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-02-08 15:14:23.888",
            "isfirstv": "1",
            "folderoid": "7170DFF8-C1DE-04A8-46F0-BC4379980BC7",
            "lastmodifier_name": "测试",
            "revisionoid": "DB17F69D-11C4-48EA-8417-95602EE3EFA0",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "一车间",
            "islastr": "1",
            "lastmodifytime": "2022-02-08 15:14:23.888",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "3512BA1D-F688-443E-B55E-AF6699618B63",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "部门分类",
            "isfirstr": "1",
            "ts": "2022-02-08 15:14:23.888"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "25",
          "leaf": true,
          "oid": "F2833B29-EF5D-4D20-9CFB-7E6B6CDCB673",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "一车间[部门分类]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "6515E8BF-B47B-47CA-8826-E2DD770D90B7",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-02-08 15:16:11.632",
            "isfirstv": "1",
            "folderoid": "7170DFF8-C1DE-04A8-46F0-BC4379980BC7",
            "lastmodifier_name": "测试",
            "revisionoid": "A0C294B4-42BF-4498-B172-345377F78D15",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "2022",
            "islastr": "1",
            "lastmodifytime": "2022-02-08 15:16:11.632",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "D086B051-8F7E-40D9-925C-37DE39C2B9E0",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "部门分类",
            "isfirstr": "1",
            "ts": "2022-02-08 15:16:11.632"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "26",
          "leaf": true,
          "oid": "6515E8BF-B47B-47CA-8826-E2DD770D90B7",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "2022[部门分类]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "CCCC5958-5BAA-49E3-AB76-AF728157C19C",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-01-05 10:11:51.622",
            "isfirstv": "1",
            "folderoid": "",
            "lastmodifier_name": "测试",
            "revisionoid": "BE298E2C-DE36-40B8-8DA9-8523C3858745",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "材料库",
            "islastr": "1",
            "lastmodifytime": "2022-01-05 10:11:51.622",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "2DE9AADC-BACF-4ABE-B2D5-BBE6D85D2246",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "materiallib",
            "isfirstr": "1",
            "ts": "2022-01-05 10:11:51.622"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "27",
          "leaf": true,
          "oid": "CCCC5958-5BAA-49E3-AB76-AF728157C19C",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "材料库[materiallib]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "658EA343-AC20-4AE3-B845-2A2610D3C267",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-12 10:19:29.043",
            "isfirstv": "1",
            "folderoid": "A10C10B6-9C85-4B03-AE65-EFBE4D3433A0",
            "lastmodifier_name": "测试",
            "revisionoid": "586316B0-E80F-456C-BA9A-B90379898F44",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "机加",
            "islastr": "1",
            "lastmodifytime": "2022-04-12 10:19:29.043",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "96CC24F4-6F24-4F1C-A690-F50425942020",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "specialty",
            "isfirstr": "1",
            "ts": "2022-04-12 10:19:29.043"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "28",
          "leaf": true,
          "oid": "658EA343-AC20-4AE3-B845-2A2610D3C267",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "机加[specialty]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "DAA0F5E3-9F02-4A92-8551-8C97C6EBEAA0",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-12 10:19:57.716",
            "isfirstv": "1",
            "folderoid": "A10C10B6-9C85-4B03-AE65-EFBE4D3433A0",
            "lastmodifier_name": "测试",
            "revisionoid": "FDD1952A-8D0F-4653-BD4D-D62224ED35C7",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "电装",
            "islastr": "1",
            "lastmodifytime": "2022-04-12 10:19:57.716",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "AAC2E304-1342-4308-BCF8-CA51D6D5ED44",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "specialty",
            "isfirstr": "1",
            "ts": "2022-04-12 10:19:57.716"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "29",
          "leaf": true,
          "oid": "DAA0F5E3-9F02-4A92-8551-8C97C6EBEAA0",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "电装[specialty]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "A0162414-1D57-43CD-995E-D497638ABB37",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-12 10:19:47.716",
            "isfirstv": "1",
            "folderoid": "A10C10B6-9C85-4B03-AE65-EFBE4D3433A0",
            "lastmodifier_name": "测试",
            "revisionoid": "EDD708C6-29CC-4187-8988-A7DF33ABBB06",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "一车间（机装）",
            "islastr": "1",
            "lastmodifytime": "2022-04-12 10:19:47.716",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "66654D96-EF40-4D27-92D6-B4AE5BA5ED02",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "specialty",
            "isfirstr": "1",
            "ts": "2022-04-12 10:19:47.716"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "30",
          "leaf": true,
          "oid": "A0162414-1D57-43CD-995E-D497638ABB37",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "一车间（机装）[specialty]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "C96EFAED-BC72-4248-B336-8D7B65132A3E",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-04-12 10:20:20.274",
            "isfirstv": "1",
            "folderoid": "658EA343-AC20-4AE3-B845-2A2610D3C267",
            "lastmodifier_name": "测试",
            "revisionoid": "6C808AB8-609D-4B73-94D2-C73D8B680333",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "1",
            "versionrule": "0",
            "name": "2022",
            "islastr": "1",
            "lastmodifytime": "2022-04-12 10:20:20.274",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "5D01F523-7EE1-4876-AFB0-167FC9CE6265",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "year",
            "isfirstr": "1",
            "ts": "2022-04-12 10:20:20.274"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "31",
          "leaf": true,
          "oid": "C96EFAED-BC72-4248-B336-8D7B65132A3E",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "2022[year]"
        },
        {
          "attributes": {
            "lastmodifier": "1",
            "revisionseq": "1",
            "versionvalue": "",
            "querycondition": "",
            "description": "",
            "oid": "F0B31119-0DC3-460A-9A47-A518993959BE",
            "versionseq": "1",
            "checkinby": "",
            "revisionrule": "",
            "lctid": "ObjectLC",
            "lcstatus_text": "编辑中",
            "id": "favoritetable",
            "owner": "1",
            "checkoutby": "",
            "workcontextoid": "",
            "creator": "1",
            "createtime": "2022-05-12 09:58:34.075",
            "isfirstv": "1",
            "folderoid": "BC88822E-6A5A-402F-BFFF-9B7749D9B786",
            "lastmodifier_name": "测试",
            "revisionoid": "4C155EDE-9C04-468A-B7E1-E140B0DCD89E",
            "btmname": "folder",
            "checkouttime": "",
            "revisionvalue": "-",
            "sequence": "2",
            "versionrule": "0",
            "name": "表",
            "islastr": "1",
            "lastmodifytime": "2022-05-12 09:58:34.075",
            "copyfromversion": "",
            "creator_name": "测试",
            "nameoid": "736A53AA-9F32-4A2F-896B-FD35F094EF52",
            "lcstatus": "Editing",
            "secretgrade": "2",
            "islastv": "1",
            "checkintime": "",
            "folderbusinesstype": "favorite",
            "isfirstr": "1",
            "ts": "2022-05-12 09:58:34.075"
          },
          "checked": false,
          "children": [],
          "expanded": false,
          "href": null,
          "icon": null,
          "iconCls": null,
          "index": "32",
          "leaf": true,
          "oid": "F0B31119-0DC3-460A-9A47-A518993959BE",
          "parentBtmName": null,
          "parentId": "",
          "parentName": null,
          "showCheckbox": false,
          "text": "表[favorite]"
        }
      ];
    }
  },
  data() {
    return {
      filterText: '',
      defaultProps: {
        children: 'children',
        label: 'text'
      },
      data:[]
    }
  },
  created() {
    this.initData();
  },
  mounted() {
    console.log(this.$el.clientHeight)
  }
}
</script>

<style scoped>
.filter-tree{
  height: calc(100% - 50px);
  overflow: auto;
  box-sizing: border-box;
  padding-top: 10px;
}
</style>
